chore(deps-dev): bump prettier-plugin-sh from 0.6.1 to 0.7.1 (#3680)

* chore(deps-dev): bump prettier-plugin-sh from 0.6.1 to 0.7.1

Bumps [prettier-plugin-sh](https://github.com/rx-ts/prettier) from 0.6.1 to 0.7.1.
- [Release notes](https://github.com/rx-ts/prettier/releases)
- [Changelog](https://github.com/rx-ts/prettier/blob/master/CHANGELOG.md)
- [Commits](https://github.com/rx-ts/prettier/compare/prettier-plugin-sh@0.6.1...prettier-plugin-sh@0.7.1)

---
updated-dependencies:
- dependency-name: prettier-plugin-sh
  dependency-type: direct:development
  update-type: version-update:semver-minor
...

Signed-off-by: dependabot[bot] <support@github.com>

* chore: reformat shell scripts

Co-authored-by: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Co-authored-by: Akash Satheesan <akash.satheesan@protonmail.com>
This commit is contained in:
dependabot[bot] 2021-06-28 22:06:55 +05:30 committed by GitHub
parent 7912809af1
commit 9042bbae9a
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
17 changed files with 177 additions and 211 deletions

View File

@ -46,7 +46,7 @@ release_gcp() {
# Generates deb and rpm packages. # Generates deb and rpm packages.
release_nfpm() { release_nfpm() {
local nfpm_config local nfpm_config
nfpm_config="$(envsubst <./ci/build/nfpm.yaml)" nfpm_config="$(envsubst < ./ci/build/nfpm.yaml)"
# The underscores are convention for .deb. # The underscores are convention for .deb.
nfpm pkg -f <(echo "$nfpm_config") --target "release-packages/code-server_${VERSION}_$ARCH.deb" nfpm pkg -f <(echo "$nfpm_config") --target "release-packages/code-server_${VERSION}_$ARCH.deb"

View File

@ -43,7 +43,7 @@ bundle_code_server() {
# Adds the commit to package.json # Adds the commit to package.json
jq --slurp '.[0] * .[1]' package.json <( jq --slurp '.[0] * .[1]' package.json <(
cat <<EOF cat << EOF
{ {
"commit": "$(git rev-parse HEAD)", "commit": "$(git rev-parse HEAD)",
"scripts": { "scripts": {
@ -51,7 +51,7 @@ bundle_code_server() {
} }
} }
EOF EOF
) >"$RELEASE_PATH/package.json" ) > "$RELEASE_PATH/package.json"
rsync yarn.lock "$RELEASE_PATH" rsync yarn.lock "$RELEASE_PATH"
rsync ci/build/npm-postinstall.sh "$RELEASE_PATH/postinstall.sh" rsync ci/build/npm-postinstall.sh "$RELEASE_PATH/postinstall.sh"
@ -83,18 +83,18 @@ bundle_vscode() {
# Adds the commit and date to product.json # Adds the commit and date to product.json
jq --slurp '.[0] * .[1]' "$VSCODE_SRC_PATH/product.json" <( jq --slurp '.[0] * .[1]' "$VSCODE_SRC_PATH/product.json" <(
cat <<EOF cat << EOF
{ {
"commit": "$(git rev-parse HEAD)", "commit": "$(git rev-parse HEAD)",
"date": $(jq -n 'now | todate') "date": $(jq -n 'now | todate')
} }
EOF EOF
) >"$VSCODE_OUT_PATH/product.json" ) > "$VSCODE_OUT_PATH/product.json"
# We remove the scripts field so that later on we can run # We remove the scripts field so that later on we can run
# yarn to fetch node_modules if necessary without build scripts running. # yarn to fetch node_modules if necessary without build scripts running.
# We cannot use --no-scripts because we still want dependent package scripts to run. # We cannot use --no-scripts because we still want dependent package scripts to run.
jq 'del(.scripts)' <"$VSCODE_SRC_PATH/package.json" >"$VSCODE_OUT_PATH/package.json" jq 'del(.scripts)' < "$VSCODE_SRC_PATH/package.json" > "$VSCODE_OUT_PATH/package.json"
pushd "$VSCODE_OUT_PATH" pushd "$VSCODE_OUT_PATH"
symlink_asar symlink_asar

View File

@ -16,7 +16,7 @@ main() {
# we use the same version it's using so we instead run a script with yarn that # we use the same version it's using so we instead run a script with yarn that
# will print the path to node. # will print the path to node.
local node_path local node_path
node_path="$(yarn -s node <<<'console.info(process.execPath)')" node_path="$(yarn -s node <<< 'console.info(process.execPath)')"
mkdir -p "$RELEASE_PATH/bin" mkdir -p "$RELEASE_PATH/bin"
rsync ./ci/build/code-server.sh "$RELEASE_PATH/bin/code-server" rsync ./ci/build/code-server.sh "$RELEASE_PATH/bin/code-server"

View File

@ -4,16 +4,16 @@ set -eu
# Copied from arch() in ci/lib.sh. # Copied from arch() in ci/lib.sh.
detect_arch() { detect_arch() {
case "$(uname -m)" in case "$(uname -m)" in
aarch64) aarch64)
echo arm64 echo arm64
;; ;;
x86_64 | amd64) x86_64 | amd64)
echo amd64 echo amd64
;; ;;
*) *)
# This will cause the download to fail, but is intentional # This will cause the download to fail, but is intentional
uname -m uname -m
;; ;;
esac esac
} }

View File

@ -10,7 +10,7 @@ main() {
gh release create "v$VERSION" \ gh release create "v$VERSION" \
--notes-file - \ --notes-file - \
--target "$(git rev-parse HEAD)" \ --target "$(git rev-parse HEAD)" \
--draft <<EOF --draft << EOF
v$VERSION v$VERSION
VS Code v$(vscode_version) VS Code v$(vscode_version)

View File

@ -20,7 +20,7 @@ main() {
cd "$(dirname "$0")/../.." cd "$(dirname "$0")/../.."
# Check that gh is installed # Check that gh is installed
if ! command -v gh &>/dev/null; then if ! command -v gh &> /dev/null; then
echo "gh could not be found." echo "gh could not be found."
echo "We use this with the release-github-draft.sh and release-github-assets.sh scripts." echo "We use this with the release-github-draft.sh and release-github-assets.sh scripts."
echo -e "See docs here: https://github.com/cli/cli#installation" echo -e "See docs here: https://github.com/cli/cli#installation"
@ -28,7 +28,7 @@ main() {
fi fi
# Check that they have jq installed # Check that they have jq installed
if ! command -v jq &>/dev/null; then if ! command -v jq &> /dev/null; then
echo "jq could not be found." echo "jq could not be found."
echo "We use this to parse the package.json and grab the current version of code-server." echo "We use this to parse the package.json and grab the current version of code-server."
echo -e "See docs here: https://stedolan.github.io/jq/download/" echo -e "See docs here: https://stedolan.github.io/jq/download/"
@ -36,7 +36,7 @@ main() {
fi fi
# Check that they have rg installed # Check that they have rg installed
if ! command -v rg &>/dev/null; then if ! command -v rg &> /dev/null; then
echo "rg could not be found." echo "rg could not be found."
echo "We use this when updating files across the codebase." echo "We use this when updating files across the codebase."
echo -e "See docs here: https://github.com/BurntSushi/ripgrep#installation" echo -e "See docs here: https://github.com/BurntSushi/ripgrep#installation"
@ -44,7 +44,7 @@ main() {
fi fi
# Check that they have node installed # Check that they have node installed
if ! command -v node &>/dev/null; then if ! command -v node &> /dev/null; then
echo "node could not be found." echo "node could not be found."
echo "That's surprising..." echo "That's surprising..."
echo "We use it in this script for getting the package.json version" echo "We use it in this script for getting the package.json version"
@ -53,7 +53,7 @@ main() {
fi fi
# Check that gh is authenticated # Check that gh is authenticated
if ! gh auth status -h github.com &>/dev/null; then if ! gh auth status -h github.com &> /dev/null; then
echo "gh isn't authenticated to github.com." echo "gh isn't authenticated to github.com."
echo "This is needed for our scripts that use gh." echo "This is needed for our scripts that use gh."
echo -e "See docs regarding authentication: https://cli.github.com/manual/gh_auth_login" echo -e "See docs regarding authentication: https://cli.github.com/manual/gh_auth_login"

View File

@ -22,15 +22,15 @@ main() {
git ls-files "${prettierExts[@]}" | grep -v "lib/vscode" | grep -v 'helm-chart' git ls-files "${prettierExts[@]}" | grep -v "lib/vscode" | grep -v 'helm-chart'
) )
doctoc --title '# FAQ' docs/FAQ.md >/dev/null doctoc --title '# FAQ' docs/FAQ.md > /dev/null
doctoc --title '# Setup Guide' docs/guide.md >/dev/null doctoc --title '# Setup Guide' docs/guide.md > /dev/null
doctoc --title '# Install' docs/install.md >/dev/null doctoc --title '# Install' docs/install.md > /dev/null
doctoc --title '# npm Install Requirements' docs/npm.md >/dev/null doctoc --title '# npm Install Requirements' docs/npm.md > /dev/null
doctoc --title '# Contributing' docs/CONTRIBUTING.md >/dev/null doctoc --title '# Contributing' docs/CONTRIBUTING.md > /dev/null
doctoc --title '# Maintaining' docs/MAINTAINING.md >/dev/null doctoc --title '# Maintaining' docs/MAINTAINING.md > /dev/null
doctoc --title '# Contributor Covenant Code of Conduct' docs/CODE_OF_CONDUCT.md >/dev/null doctoc --title '# Contributor Covenant Code of Conduct' docs/CODE_OF_CONDUCT.md > /dev/null
doctoc --title '# iPad' docs/ipad.md >/dev/null doctoc --title '# iPad' docs/ipad.md > /dev/null
doctoc --title '# Termux' docs/termux.md >/dev/null doctoc --title '# Termux' docs/termux.md > /dev/null
if [[ ${CI-} && $(git ls-files --other --modified --exclude-standard) ]]; then if [[ ${CI-} && $(git ls-files --other --modified --exclude-standard) ]]; then
echo "Files need generation or are formatted incorrectly:" echo "Files need generation or are formatted incorrectly:"

View File

@ -35,10 +35,10 @@ main() {
# This escapes all newlines so that sed will accept them. # This escapes all newlines so that sed will accept them.
favicon_dark_style="$(printf "%s\n" "$favicon_dark_style" | sed -e ':a' -e 'N' -e '$!ba' -e 's/\n/\\n/g')" favicon_dark_style="$(printf "%s\n" "$favicon_dark_style" | sed -e ':a' -e 'N' -e '$!ba' -e 's/\n/\\n/g')"
sed "$( sed "$(
cat -n <<EOF cat -n << EOF
s%<rect id="favicon"%$favicon_dark_style<rect id="favicon"% s%<rect id="favicon"%$favicon_dark_style<rect id="favicon"%
EOF EOF
)" favicon.svg >favicon-dark-support.svg )" favicon.svg > favicon-dark-support.svg
} }
main "$@" main "$@"

View File

@ -8,7 +8,7 @@ main() {
stylelint $(git ls-files "*.css" | grep -v "lib/vscode") stylelint $(git ls-files "*.css" | grep -v "lib/vscode")
tsc --noEmit --skipLibCheck tsc --noEmit --skipLibCheck
shellcheck -e SC2046,SC2164,SC2154,SC1091,SC1090,SC2002 $(git ls-files "*.sh" | grep -v "lib/vscode") shellcheck -e SC2046,SC2164,SC2154,SC1091,SC1090,SC2002 $(git ls-files "*.sh" | grep -v "lib/vscode")
if command -v helm && helm kubeval --help >/dev/null; then if command -v helm && helm kubeval --help > /dev/null; then
helm kubeval ci/helm-chart helm kubeval ci/helm-chart
fi fi

View File

@ -33,7 +33,7 @@ main() {
# Check if the remote exists # Check if the remote exists
# if it doesn't, we add it # if it doesn't, we add it
if ! git config remote.vscode.url >/dev/null; then if ! git config remote.vscode.url > /dev/null; then
echo "Could not find 'vscode' as a remote" echo "Could not find 'vscode' as a remote"
echo "Adding with: git remote add vscode https://github.com/microsoft/vscode.git" echo "Adding with: git remote add vscode https://github.com/microsoft/vscode.git"
git remote add vscode https://github.com/microsoft/vscode.git git remote add vscode https://github.com/microsoft/vscode.git
@ -52,7 +52,7 @@ main() {
fi fi
# Check that they have jq installed # Check that they have jq installed
if ! command -v jq &>/dev/null; then if ! command -v jq &> /dev/null; then
echo "jq could not be found." echo "jq could not be found."
echo "We use this when looking up the exact version to update to in the package.json in VS Code." echo "We use this when looking up the exact version to update to in the package.json in VS Code."
echo -e "See docs here: https://stedolan.github.io/jq/download/" echo -e "See docs here: https://stedolan.github.io/jq/download/"
@ -62,7 +62,7 @@ main() {
# Note: `git subtree` returns 129 when installed, and prints help; # Note: `git subtree` returns 129 when installed, and prints help;
# but when uninstalled, returns 1. # but when uninstalled, returns 1.
set +e set +e
git subtree &>/dev/null git subtree &> /dev/null
if [ $? -ne 129 ]; then if [ $? -ne 129 ]; then
echo "git-subtree could not be found." echo "git-subtree could not be found."
echo "We use this to fetch and update the lib/vscode subtree." echo "We use this to fetch and update the lib/vscode subtree."
@ -83,7 +83,7 @@ main() {
git fetch vscode git fetch vscode
# Check if GitHub CLI is installed # Check if GitHub CLI is installed
if ! command -v gh &>/dev/null; then if ! command -v gh &> /dev/null; then
echo "GitHub CLI could not be found." echo "GitHub CLI could not be found."
echo "If you install it before you run this script next time, we'll open a draft PR for you!" echo "If you install it before you run this script next time, we'll open a draft PR for you!"
echo -e "See docs here: https://github.com/cli/cli#installation\n" echo -e "See docs here: https://github.com/cli/cli#installation\n"

View File

@ -2,11 +2,11 @@
set -euo pipefail set -euo pipefail
pushd() { pushd() {
builtin pushd "$@" >/dev/null builtin pushd "$@" > /dev/null
} }
popd() { popd() {
builtin popd >/dev/null builtin popd > /dev/null
} }
pkg_json_version() { pkg_json_version() {
@ -37,15 +37,15 @@ os() {
arch() { arch() {
cpu="$(uname -m)" cpu="$(uname -m)"
case "$cpu" in case "$cpu" in
aarch64) aarch64)
echo arm64 echo arm64
;; ;;
x86_64 | amd64) x86_64 | amd64)
echo amd64 echo amd64
;; ;;
*) *)
echo "$cpu" echo "$cpu"
;; ;;
esac esac
} }
@ -85,7 +85,7 @@ download_artifact() {
local tmp_file local tmp_file
tmp_file="$(mktemp)" tmp_file="$(mktemp)"
gh api "$(get_artifact_url "$artifact_name")" >"$tmp_file" gh api "$(get_artifact_url "$artifact_name")" > "$tmp_file"
unzip -q -o "$tmp_file" -d "$dst" unzip -q -o "$tmp_file" -d "$dst"
rm "$tmp_file" rm "$tmp_file"
} }

View File

@ -8,7 +8,7 @@ eval "$(fixuid -q)"
if [ "${DOCKER_USER-}" ]; then if [ "${DOCKER_USER-}" ]; then
USER="$DOCKER_USER" USER="$DOCKER_USER"
if [ "$DOCKER_USER" != "$(whoami)" ]; then if [ "$DOCKER_USER" != "$(whoami)" ]; then
echo "$DOCKER_USER ALL=(ALL) NOPASSWD:ALL" | sudo tee -a /etc/sudoers.d/nopasswd >/dev/null echo "$DOCKER_USER ALL=(ALL) NOPASSWD:ALL" | sudo tee -a /etc/sudoers.d/nopasswd > /dev/null
# Unfortunately we cannot change $HOME as we cannot move any bind mounts # Unfortunately we cannot change $HOME as we cannot move any bind mounts
# nor can we bind mount $HOME into a new home as that requires a privileged container. # nor can we bind mount $HOME into a new home as that requires a privileged container.
sudo usermod --login "$DOCKER_USER" coder sudo usermod --login "$DOCKER_USER" coder

View File

@ -28,7 +28,7 @@ main() {
echo "Pushing changes to cdrci/homebrew-core fork on GitHub" echo "Pushing changes to cdrci/homebrew-core fork on GitHub"
# Source: https://serverfault.com/a/912788 # Source: https://serverfault.com/a/912788
# shellcheck disable=SC2016,SC2028 # shellcheck disable=SC2016,SC2028
echo '#!/bin/sh\nexec echo "$HOMEBREW_GITHUB_API_TOKEN"' >"$HOME"/.git-askpass.sh echo '#!/bin/sh\nexec echo "$HOMEBREW_GITHUB_API_TOKEN"' > "$HOME"/.git-askpass.sh
# Ensure it's executable since we just created it # Ensure it's executable since we just created it
chmod +x "$HOME/.git-askpass.sh" chmod +x "$HOME/.git-askpass.sh"
# GIT_ASKPASS lets us use the password when pushing without revealing it in the process list # GIT_ASKPASS lets us use the password when pushing without revealing it in the process list

View File

@ -6,7 +6,7 @@ main() {
source ./ci/lib.sh source ./ci/lib.sh
if [[ ${CI-} ]]; then if [[ ${CI-} ]]; then
echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" >~/.npmrc echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" > ~/.npmrc
fi fi
download_artifact npm-package ./release-npm-package download_artifact npm-package ./release-npm-package

View File

@ -13,7 +13,7 @@ usage() {
" "
fi fi
cath <<EOF cath << EOF
Installs code-server for Linux, macOS and FreeBSD. Installs code-server for Linux, macOS and FreeBSD.
It tries to use the system package manager if possible. It tries to use the system package manager if possible.
After successful installation it explains how to start using code-server. After successful installation it explains how to start using code-server.
@ -81,7 +81,7 @@ echo_latest_version() {
echo_npm_postinstall() { echo_npm_postinstall() {
echoh echoh
cath <<EOF cath << EOF
The npm package has been installed successfully! The npm package has been installed successfully!
Please extend your path to use code-server: Please extend your path to use code-server:
PATH="$NPM_BIN_DIR:\$PATH" PATH="$NPM_BIN_DIR:\$PATH"
@ -92,7 +92,7 @@ EOF
echo_standalone_postinstall() { echo_standalone_postinstall() {
echoh echoh
cath <<EOF cath << EOF
Standalone release has been installed into $STANDALONE_INSTALL_PREFIX/lib/code-server-$VERSION Standalone release has been installed into $STANDALONE_INSTALL_PREFIX/lib/code-server-$VERSION
Please extend your path to use code-server: Please extend your path to use code-server:
PATH="$STANDALONE_INSTALL_PREFIX/bin:\$PATH" PATH="$STANDALONE_INSTALL_PREFIX/bin:\$PATH"
@ -103,7 +103,7 @@ EOF
echo_systemd_postinstall() { echo_systemd_postinstall() {
echoh echoh
cath <<EOF cath << EOF
To have systemd start code-server now and restart on boot: To have systemd start code-server now and restart on boot:
sudo systemctl enable --now code-server@\$USER sudo systemctl enable --now code-server@\$USER
Or, if you don't want/need a background service you can run: Or, if you don't want/need a background service you can run:
@ -129,63 +129,63 @@ main() {
ALL_FLAGS="" ALL_FLAGS=""
while [ "$#" -gt 0 ]; do while [ "$#" -gt 0 ]; do
case "$1" in case "$1" in
-*) -*)
ALL_FLAGS="${ALL_FLAGS} $1" ALL_FLAGS="${ALL_FLAGS} $1"
;; ;;
esac esac
case "$1" in case "$1" in
--dry-run) --dry-run)
DRY_RUN=1 DRY_RUN=1
;; ;;
--method) --method)
METHOD="$(parse_arg "$@")" METHOD="$(parse_arg "$@")"
shift shift
;; ;;
--method=*) --method=*)
METHOD="$(parse_arg "$@")" METHOD="$(parse_arg "$@")"
;; ;;
--prefix) --prefix)
STANDALONE_INSTALL_PREFIX="$(parse_arg "$@")" STANDALONE_INSTALL_PREFIX="$(parse_arg "$@")"
shift shift
;; ;;
--prefix=*) --prefix=*)
STANDALONE_INSTALL_PREFIX="$(parse_arg "$@")" STANDALONE_INSTALL_PREFIX="$(parse_arg "$@")"
;; ;;
--version) --version)
VERSION="$(parse_arg "$@")" VERSION="$(parse_arg "$@")"
shift shift
;; ;;
--version=*) --version=*)
VERSION="$(parse_arg "$@")" VERSION="$(parse_arg "$@")"
;; ;;
--rsh) --rsh)
RSH="$(parse_arg "$@")" RSH="$(parse_arg "$@")"
shift shift
;; ;;
--rsh=*) --rsh=*)
RSH="$(parse_arg "$@")" RSH="$(parse_arg "$@")"
;; ;;
-h | --h | -help | --help) -h | --h | -help | --help)
usage usage
exit 0 exit 0
;; ;;
--) --)
shift shift
# We remove the -- added above. # We remove the -- added above.
ALL_FLAGS="${ALL_FLAGS% --}" ALL_FLAGS="${ALL_FLAGS% --}"
RSH_ARGS="$*" RSH_ARGS="$*"
break break
;; ;;
-*) -*)
echoerr "Unknown flag $1" echoerr "Unknown flag $1"
echoerr "Run with --help to see usage." echoerr "Run with --help to see usage."
exit 1 exit 1
;; ;;
*) *)
RSH_ARGS="$*" RSH_ARGS="$*"
break break
;; ;;
esac esac
shift shift
@ -246,54 +246,54 @@ main() {
fi fi
case "$(distro)" in case "$(distro)" in
macos) macos)
install_macos install_macos
;; ;;
debian) debian)
install_deb install_deb
;; ;;
fedora | opensuse) fedora | opensuse)
install_rpm install_rpm
;; ;;
arch) arch)
install_aur install_aur
;; ;;
*) *)
echoh "Unsupported package manager." echoh "Unsupported package manager."
install_standalone install_standalone
;; ;;
esac esac
} }
parse_arg() { parse_arg() {
case "$1" in case "$1" in
*=*) *=*)
# Remove everything after first equal sign. # Remove everything after first equal sign.
opt="${1%%=*}" opt="${1%%=*}"
# Remove everything before first equal sign. # Remove everything before first equal sign.
optarg="${1#*=}" optarg="${1#*=}"
if [ ! "$optarg" ] && [ ! "${OPTIONAL-}" ]; then if [ ! "$optarg" ] && [ ! "${OPTIONAL-}" ]; then
echoerr "$opt requires an argument" echoerr "$opt requires an argument"
echoerr "Run with --help to see usage." echoerr "Run with --help to see usage."
exit 1 exit 1
fi fi
echo "$optarg" echo "$optarg"
return return
;; ;;
esac esac
case "${2-}" in case "${2-}" in
"" | -*) "" | -*)
if [ ! "${OPTIONAL-}" ]; then if [ ! "${OPTIONAL-}" ]; then
echoerr "$1 requires an argument" echoerr "$1 requires an argument"
echoerr "Run with --help to see usage." echoerr "Run with --help to see usage."
exit 1 exit 1
fi fi
;; ;;
*) *)
echo "$2" echo "$2"
return return
;; ;;
esac esac
} }
@ -425,15 +425,15 @@ install_npm() {
os() { os() {
case "$(uname)" in case "$(uname)" in
Linux) Linux)
echo linux echo linux
;; ;;
Darwin) Darwin)
echo macos echo macos
;; ;;
FreeBSD) FreeBSD)
echo freebsd echo freebsd
;; ;;
esac esac
} }
@ -496,20 +496,20 @@ distro_name() {
arch() { arch() {
case "$(uname -m)" in case "$(uname -m)" in
aarch64) aarch64)
echo arm64 echo arm64
;; ;;
x86_64) x86_64)
echo amd64 echo amd64
;; ;;
amd64) # FreeBSD. amd64) # FreeBSD.
echo amd64 echo amd64
;; ;;
esac esac
} }
command_exists() { command_exists() {
command -v "$@" >/dev/null command -v "$@" > /dev/null
} }
sh_c() { sh_c() {
@ -571,7 +571,7 @@ prefix() {
fifo="$(mktemp -d)/fifo" fifo="$(mktemp -d)/fifo"
mkfifo "$fifo" mkfifo "$fifo"
sed -e "s#^#$PREFIX: #" "$fifo" & sed -e "s#^#$PREFIX: #" "$fifo" &
"$@" >"$fifo" 2>&1 "$@" > "$fifo" 2>&1
} }
main "$@" main "$@"

View File

@ -66,7 +66,7 @@
"leaked-handles": "^5.2.0", "leaked-handles": "^5.2.0",
"parcel-bundler": "^1.12.5", "parcel-bundler": "^1.12.5",
"prettier": "^2.2.1", "prettier": "^2.2.1",
"prettier-plugin-sh": "^0.6.0", "prettier-plugin-sh": "^0.7.1",
"shellcheck": "^1.0.0", "shellcheck": "^1.0.0",
"stylelint": "^13.0.0", "stylelint": "^13.0.0",
"stylelint-config-recommended": "^5.0.0", "stylelint-config-recommended": "^5.0.0",

View File

@ -1289,14 +1289,6 @@
"@typescript-eslint/typescript-estree" "4.28.0" "@typescript-eslint/typescript-estree" "4.28.0"
debug "^4.3.1" debug "^4.3.1"
"@typescript-eslint/scope-manager@4.27.0":
version "4.27.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/scope-manager/-/scope-manager-4.27.0.tgz#b0b1de2b35aaf7f532e89c8e81d0fa298cae327d"
integrity sha512-DY73jK6SEH6UDdzc6maF19AHQJBFVRf6fgAXHPXCGEmpqD4vYgPEzqpFz1lf/daSbOcMpPPj9tyXXDPW2XReAw==
dependencies:
"@typescript-eslint/types" "4.27.0"
"@typescript-eslint/visitor-keys" "4.27.0"
"@typescript-eslint/scope-manager@4.28.0": "@typescript-eslint/scope-manager@4.28.0":
version "4.28.0" version "4.28.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/scope-manager/-/scope-manager-4.28.0.tgz#6a3009d2ab64a30fc8a1e257a1a320067f36a0ce" resolved "https://registry.yarnpkg.com/@typescript-eslint/scope-manager/-/scope-manager-4.28.0.tgz#6a3009d2ab64a30fc8a1e257a1a320067f36a0ce"
@ -1305,29 +1297,11 @@
"@typescript-eslint/types" "4.28.0" "@typescript-eslint/types" "4.28.0"
"@typescript-eslint/visitor-keys" "4.28.0" "@typescript-eslint/visitor-keys" "4.28.0"
"@typescript-eslint/types@4.27.0":
version "4.27.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/types/-/types-4.27.0.tgz#712b408519ed699baff69086bc59cd2fc13df8d8"
integrity sha512-I4ps3SCPFCKclRcvnsVA/7sWzh7naaM/b4pBO2hVxnM3wrU51Lveybdw5WoIktU/V4KfXrTt94V9b065b/0+wA==
"@typescript-eslint/types@4.28.0": "@typescript-eslint/types@4.28.0":
version "4.28.0" version "4.28.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/types/-/types-4.28.0.tgz#a33504e1ce7ac51fc39035f5fe6f15079d4dafb0" resolved "https://registry.yarnpkg.com/@typescript-eslint/types/-/types-4.28.0.tgz#a33504e1ce7ac51fc39035f5fe6f15079d4dafb0"
integrity sha512-p16xMNKKoiJCVZY5PW/AfILw2xe1LfruTcfAKBj3a+wgNYP5I9ZEKNDOItoRt53p4EiPV6iRSICy8EPanG9ZVA== integrity sha512-p16xMNKKoiJCVZY5PW/AfILw2xe1LfruTcfAKBj3a+wgNYP5I9ZEKNDOItoRt53p4EiPV6iRSICy8EPanG9ZVA==
"@typescript-eslint/typescript-estree@4.27.0":
version "4.27.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/typescript-estree/-/typescript-estree-4.27.0.tgz#189a7b9f1d0717d5cccdcc17247692dedf7a09da"
integrity sha512-KH03GUsUj41sRLLEy2JHstnezgpS5VNhrJouRdmh6yNdQ+yl8w5LrSwBkExM+jWwCJa7Ct2c8yl8NdtNRyQO6g==
dependencies:
"@typescript-eslint/types" "4.27.0"
"@typescript-eslint/visitor-keys" "4.27.0"
debug "^4.3.1"
globby "^11.0.3"
is-glob "^4.0.1"
semver "^7.3.5"
tsutils "^3.21.0"
"@typescript-eslint/typescript-estree@4.28.0": "@typescript-eslint/typescript-estree@4.28.0":
version "4.28.0" version "4.28.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/typescript-estree/-/typescript-estree-4.28.0.tgz#e66d4e5aa2ede66fec8af434898fe61af10c71cf" resolved "https://registry.yarnpkg.com/@typescript-eslint/typescript-estree/-/typescript-estree-4.28.0.tgz#e66d4e5aa2ede66fec8af434898fe61af10c71cf"
@ -1341,14 +1315,6 @@
semver "^7.3.5" semver "^7.3.5"
tsutils "^3.21.0" tsutils "^3.21.0"
"@typescript-eslint/visitor-keys@4.27.0":
version "4.27.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/visitor-keys/-/visitor-keys-4.27.0.tgz#f56138b993ec822793e7ebcfac6ffdce0a60cb81"
integrity sha512-es0GRYNZp0ieckZ938cEANfEhsfHrzuLrePukLKtY3/KPXcq1Xd555Mno9/GOgXhKzn0QfkDLVgqWO3dGY80bg==
dependencies:
"@typescript-eslint/types" "4.27.0"
eslint-visitor-keys "^2.0.0"
"@typescript-eslint/visitor-keys@4.28.0": "@typescript-eslint/visitor-keys@4.28.0":
version "4.28.0" version "4.28.0"
resolved "https://registry.yarnpkg.com/@typescript-eslint/visitor-keys/-/visitor-keys-4.28.0.tgz#255c67c966ec294104169a6939d96f91c8a89434" resolved "https://registry.yarnpkg.com/@typescript-eslint/visitor-keys/-/visitor-keys-4.28.0.tgz#255c67c966ec294104169a6939d96f91c8a89434"
@ -6734,10 +6700,10 @@ prettier-linter-helpers@^1.0.0:
dependencies: dependencies:
fast-diff "^1.1.2" fast-diff "^1.1.2"
prettier-plugin-sh@^0.6.0: prettier-plugin-sh@^0.7.1:
version "0.6.1" version "0.7.1"
resolved "https://registry.yarnpkg.com/prettier-plugin-sh/-/prettier-plugin-sh-0.6.1.tgz#094d1d190f0d8a53bfd522a68f17a95ca741047d" resolved "https://registry.yarnpkg.com/prettier-plugin-sh/-/prettier-plugin-sh-0.7.1.tgz#a2d38de10e55919ea945a6e72c4815b16d6614ad"
integrity sha512-Weelg53FBb1Z5Q1/GpQIb4s//BdhmPAABjJfe6VTQ3m8upQjM36sVVboNOUVvYn3K+LMwzW4vkxhqLQ+vvfBKQ== integrity sha512-2MWRdGOSz0yf/z2kTKF1AqxDuH9MZD8faoDAz5ySGphxssi9oyM3Ys+jp7AfqsCXvGUDbRA4EJOlKS0yZKAW6w==
dependencies: dependencies:
mvdan-sh "^0.5.0" mvdan-sh "^0.5.0"